import { SvelteComponentTyped } from "svelte";
import type { PymatgenStructure, Site } from '..';
import { OrbitControls } from '@threlte/extras';
declare const __propDef: {
    props: {
        [x: string]: any;
        structure?: PymatgenStructure | undefined;
        atom_radius?: number | undefined;
        same_size_atoms?: boolean | undefined;
        camera_position?: [number, number, number] | undefined;
        orbit_controls?: OrbitControls | undefined;
        max_zoom?: number | undefined;
        min_zoom?: number | undefined;
        zoom_speed?: number | undefined;
        pan_speed?: number | undefined;
        show_atoms?: boolean | undefined;
        show_bonds?: boolean | undefined;
        hovered_idx?: number | null | undefined;
        active_idx?: number | null | undefined;
        hovered_site?: Site | null | undefined;
        active_site?: Site | null | undefined;
        precision?: string | undefined;
        auto_rotate?: number | boolean | undefined;
        bond_radius?: number | undefined;
        bond_opacity?: number | undefined;
        bond_color?: string | undefined;
        max_bond_dist?: number | undefined;
        bond_color_mode?: "element" | "uniform" | undefined;
        active_hovered_dist?: {
            color: string;
            width: number;
            opacity: number;
        } | null | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type StructureSceneProps = typeof __propDef.props;
export type StructureSceneEvents = typeof __propDef.events;
export type StructureSceneSlots = typeof __propDef.slots;
export default class StructureScene extends SvelteComponentTyped<StructureSceneProps, StructureSceneEvents, StructureSceneSlots> {
}
export {};
